#include <iostream>
#include <stdio.h>
#include <math.h>

using namespace std;

int main(){
	long long int res,N,K;
	cin>>N>>K;
	long long int Km[K];
	for(int i = 0; i < K; i++){
		cin>>Km[i];
	}
	res = (N * N) - ((N - 1) * (N - 1));
	for(int i = 0; i < K; i++){
		if(Km[i] == 1){
			res-=2;
		}
		else{
			if(Km[i] == 2){
				res-=1;
			}
			else{
				if(Km[i] == N-1){
					res-=1;
				}
				else{
					if(Km[i] == N){
						res-=2;
					}
				}
			}
		}
	}
	if(N-1 == 2){
		res++;
	}
	if(N >= 4){
		for(int i = 0; i < K-1; i++){
			if(Km[i] + 1 == Km[i+1]){
				res-=1;
			}
		}
	}
	if(Km[0] == 1){
		if(Km[1] == 2){
			res+=1;
		}
	}
	if(Km[K-1] == N-1){
		if(Km[K] == N){
			res+=1;
		}
	}
	cout<<res;
}
